

// grid columns are dynamically generated based on users permissions and some other criteria. I am giving static example here for ease
var gridAllColumns = [
    {
        "headerText": "Term",
        "key": "Term",
        "hidden": false,
        "dataType": "string",
        "width": "150px",
        "allowHiding": true,
        "columnCssClass": "border-column-left eox-algn-lft",
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "visibleIndex": 0,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "fixed": true
    },
    {
        "headerText": "C3 CWY",
        "key": "C3_CWY_GroupKey",
        "hidden": false,
        "allowHiding": true,
        "group": [
            {
                "headerText": "Bid",
                "key": "C3_CWY_BidGroupKey",
                "hidden": false,
                "group": [
                    {
                        "headerText": "Desk",
                        "key": "C3_CWY_BidBOEName",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 1,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Time",
                        "key": "C3_CWY_BidLastUpdatedDateTime",
                        "hidden": false,
                        "dataType": "date",
                        "width": 65,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 2,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "IOI",
                        "key": "C3_CWY_BidType",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "{{if ${C3_CWY_BidType} }} <div class=\"bid-quote-type\" data-pk=\"${C3_CWY_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_CWY_BidType}.png) no-repeat center; \"></div> {{/if}}",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 3,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "TIF",
                        "key": "C3_CWY_BidTimeToLive",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 4,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Sell",
                        "key": "C3_CWY_BidGroupActions",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 5,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Bid",
                        "key": "C3_CWY_BidGroupPrice",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "\n      {{if ${C3_CWY_BidId} != null && ${C3_CWY_BidGroupPrice}.length == 0 && ${C3_CWY_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_CWY_BidId} != null && ${C3_CWY_BidGroupPrice}.length == 0 }}\n      <div class=\"bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_CWY_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_BidGroupPrice}</div>\n      {{elseif ${C3_CWY_BidId} == null && (${C3_CWY_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\">-</div>\n      {{elseif ${C3_CWY_HasBidBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_BidGroupPrice}</div>\n      {{elseif (${C3_CWY_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_BidGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1
                    }
                ],
                "identifier": "C3_CWY_BidGroupKey",
                "colspan": 6,
                "children": [
                    {
                        "headerText": "Desk",
                        "key": "C3_CWY_BidBOEName",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 1,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Time",
                        "key": "C3_CWY_BidLastUpdatedDateTime",
                        "hidden": false,
                        "dataType": "date",
                        "width": 65,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 2,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "IOI",
                        "key": "C3_CWY_BidType",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "{{if ${C3_CWY_BidType} }} <div class=\"bid-quote-type\" data-pk=\"${C3_CWY_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_CWY_BidType}.png) no-repeat center; \"></div> {{/if}}",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 3,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "TIF",
                        "key": "C3_CWY_BidTimeToLive",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 4,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Sell",
                        "key": "C3_CWY_BidGroupActions",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 5,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Bid",
                        "key": "C3_CWY_BidGroupPrice",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "\n      {{if ${C3_CWY_BidId} != null && ${C3_CWY_BidGroupPrice}.length == 0 && ${C3_CWY_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_CWY_BidId} != null && ${C3_CWY_BidGroupPrice}.length == 0 }}\n      <div class=\"bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_CWY_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_BidGroupPrice}</div>\n      {{elseif ${C3_CWY_BidId} == null && (${C3_CWY_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\">-</div>\n      {{elseif ${C3_CWY_HasBidBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_BidGroupPrice}</div>\n      {{elseif (${C3_CWY_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_BidGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1
                    }
                ],
                "level": 1
            },
            {
                "headerText": "Offer",
                "key": "C3_CWY_OfferGroupKey",
                "hidden": false,
                "group": [
                    {
                        "headerText": "Offer",
                        "key": "C3_CWY_OfferGroupPrice",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "\n      {{if ${C3_CWY_OfferId} != null && ${C3_CWY_OfferGroupPrice}.length == 0 && ${C3_CWY_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_CWY_OfferId} != null && ${C3_CWY_OfferGroupPrice}.length == 0 }}\n      <div class=\"offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_CWY_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_OfferGroupPrice}</div>\n      {{elseif ${C3_CWY_OfferId} == null && (${C3_CWY_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\">-</div>\n      {{elseif ${C3_CWY_HasOfferBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_OfferGroupPrice}</div>\n      {{elseif (${C3_CWY_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_OfferGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1
                    },
                    {
                        "headerText": "Buy",
                        "key": "C3_CWY_OfferGroupActions",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 8,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "TIF",
                        "key": "C3_CWY_OfferTimeToLive",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 9,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "IOI",
                        "key": "C3_CWY_OfferType",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "{{if ${C3_CWY_OfferType} }} <div class=\"offer-quote-type\" data-pk=\"${C3_CWY_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_CWY_OfferType}.png) no-repeat center;\"></div> {{/if}}",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 10,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Time",
                        "key": "C3_CWY_OfferLastUpdatedDateTime",
                        "hidden": false,
                        "dataType": "date",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 11,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Desk",
                        "key": "C3_CWY_OfferBOEName",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 12,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    }
                ],
                "identifier": "C3_CWY_OfferGroupKey",
                "colspan": 6,
                "children": [
                    {
                        "headerText": "Offer",
                        "key": "C3_CWY_OfferGroupPrice",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "\n      {{if ${C3_CWY_OfferId} != null && ${C3_CWY_OfferGroupPrice}.length == 0 && ${C3_CWY_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_CWY_OfferId} != null && ${C3_CWY_OfferGroupPrice}.length == 0 }}\n      <div class=\"offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_CWY_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_OfferGroupPrice}</div>\n      {{elseif ${C3_CWY_OfferId} == null && (${C3_CWY_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\">-</div>\n      {{elseif ${C3_CWY_HasOfferBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_OfferGroupPrice}</div>\n      {{elseif (${C3_CWY_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_OfferGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1
                    },
                    {
                        "headerText": "Buy",
                        "key": "C3_CWY_OfferGroupActions",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 8,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "TIF",
                        "key": "C3_CWY_OfferTimeToLive",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 9,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "IOI",
                        "key": "C3_CWY_OfferType",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "{{if ${C3_CWY_OfferType} }} <div class=\"offer-quote-type\" data-pk=\"${C3_CWY_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_CWY_OfferType}.png) no-repeat center;\"></div> {{/if}}",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 10,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Time",
                        "key": "C3_CWY_OfferLastUpdatedDateTime",
                        "hidden": false,
                        "dataType": "date",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 11,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Desk",
                        "key": "C3_CWY_OfferBOEName",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 12,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    }
                ],
                "level": 1
            },
            {
                "headerText": "Last",
                "key": "C3_CWY_LastTradedPrice",
                "hidden": false,
                "dataType": "string",
                "width": 70,
                "columnCssClass": "border-column-right",
                "level": 0,
                "level0": true,
                "rowspan": 2
            }
        ],
        "groupOptions": {
            "expanded": true,
            "allowGroupCollapsing": true
        },
        "identifier": "C3_CWY_GroupKey",
        "colspan": 13,
        "children": [
            {
                "headerText": "Desk",
                "key": "C3_CWY_BidBOEName",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 1,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Time",
                "key": "C3_CWY_BidLastUpdatedDateTime",
                "hidden": false,
                "dataType": "date",
                "width": 65,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 2,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "IOI",
                "key": "C3_CWY_BidType",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "template": "{{if ${C3_CWY_BidType} }} <div class=\"bid-quote-type\" data-pk=\"${C3_CWY_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_CWY_BidType}.png) no-repeat center; \"></div> {{/if}}",
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 3,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "TIF",
                "key": "C3_CWY_BidTimeToLive",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 4,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Sell",
                "key": "C3_CWY_BidGroupActions",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 5,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Bid",
                "key": "C3_CWY_BidGroupPrice",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "template": "\n      {{if ${C3_CWY_BidId} != null && ${C3_CWY_BidGroupPrice}.length == 0 && ${C3_CWY_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_CWY_BidId} != null && ${C3_CWY_BidGroupPrice}.length == 0 }}\n      <div class=\"bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_CWY_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_BidGroupPrice}</div>\n      {{elseif ${C3_CWY_BidId} == null && (${C3_CWY_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\">-</div>\n      {{elseif ${C3_CWY_HasBidBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_BidGroupPrice}</div>\n      {{elseif (${C3_CWY_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_BidGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                "level": 0,
                "level0": true,
                "rowspan": 1
            },
            {
                "headerText": "Offer",
                "key": "C3_CWY_OfferGroupPrice",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "template": "\n      {{if ${C3_CWY_OfferId} != null && ${C3_CWY_OfferGroupPrice}.length == 0 && ${C3_CWY_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_CWY_OfferId} != null && ${C3_CWY_OfferGroupPrice}.length == 0 }}\n      <div class=\"offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_CWY_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_OfferGroupPrice}</div>\n      {{elseif ${C3_CWY_OfferId} == null && (${C3_CWY_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\">-</div>\n      {{elseif ${C3_CWY_HasOfferBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_OfferGroupPrice}</div>\n      {{elseif (${C3_CWY_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_OfferGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                "level": 0,
                "level0": true,
                "rowspan": 1
            },
            {
                "headerText": "Buy",
                "key": "C3_CWY_OfferGroupActions",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 8,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "TIF",
                "key": "C3_CWY_OfferTimeToLive",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 9,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "IOI",
                "key": "C3_CWY_OfferType",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "template": "{{if ${C3_CWY_OfferType} }} <div class=\"offer-quote-type\" data-pk=\"${C3_CWY_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_CWY_OfferType}.png) no-repeat center;\"></div> {{/if}}",
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 10,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Time",
                "key": "C3_CWY_OfferLastUpdatedDateTime",
                "hidden": false,
                "dataType": "date",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 11,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Desk",
                "key": "C3_CWY_OfferBOEName",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 12,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Last",
                "key": "C3_CWY_LastTradedPrice",
                "hidden": false,
                "dataType": "string",
                "width": 70,
                "columnCssClass": "border-column-right",
                "level": 0,
                "level0": true,
                "rowspan": 2
            }
        ],
        "level": 2
    },
    {
        "headerText": "C3 EPC",
        "key": "C3_EPC_GroupKey",
        "hidden": false,
        "allowHiding": true,
        "group": [
            {
                "headerText": "Bid",
                "key": "C3_EPC_BidGroupKey",
                "hidden": false,
                "group": [
                    {
                        "headerText": "Desk",
                        "key": "C3_EPC_BidBOEName",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 14,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Time",
                        "key": "C3_EPC_BidLastUpdatedDateTime",
                        "hidden": false,
                        "dataType": "date",
                        "width": 65,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 15,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "IOI",
                        "key": "C3_EPC_BidType",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "{{if ${C3_EPC_BidType} }} <div class=\"bid-quote-type\" data-pk=\"${C3_EPC_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_EPC_BidType}.png) no-repeat center; \"></div> {{/if}}",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 16,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "TIF",
                        "key": "C3_EPC_BidTimeToLive",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 17,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Sell",
                        "key": "C3_EPC_BidGroupActions",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 18,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Bid",
                        "key": "C3_EPC_BidGroupPrice",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "\n      {{if ${C3_EPC_BidId} != null && ${C3_EPC_BidGroupPrice}.length == 0 && ${C3_EPC_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_EPC_BidId} != null && ${C3_EPC_BidGroupPrice}.length == 0 }}\n      <div class=\"bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_EPC_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_BidGroupPrice}</div>\n      {{elseif ${C3_EPC_BidId} == null && (${C3_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\">-</div>\n      {{elseif ${C3_EPC_HasBidBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_BidGroupPrice}</div>\n      {{elseif (${C3_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_BidGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1
                    }
                ],
                "identifier": "C3_EPC_BidGroupKey",
                "colspan": 6,
                "children": [
                    {
                        "headerText": "Desk",
                        "key": "C3_EPC_BidBOEName",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 14,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Time",
                        "key": "C3_EPC_BidLastUpdatedDateTime",
                        "hidden": false,
                        "dataType": "date",
                        "width": 65,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 15,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "IOI",
                        "key": "C3_EPC_BidType",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "{{if ${C3_EPC_BidType} }} <div class=\"bid-quote-type\" data-pk=\"${C3_EPC_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_EPC_BidType}.png) no-repeat center; \"></div> {{/if}}",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 16,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "TIF",
                        "key": "C3_EPC_BidTimeToLive",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 17,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Sell",
                        "key": "C3_EPC_BidGroupActions",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 18,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Bid",
                        "key": "C3_EPC_BidGroupPrice",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "\n      {{if ${C3_EPC_BidId} != null && ${C3_EPC_BidGroupPrice}.length == 0 && ${C3_EPC_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_EPC_BidId} != null && ${C3_EPC_BidGroupPrice}.length == 0 }}\n      <div class=\"bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_EPC_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_BidGroupPrice}</div>\n      {{elseif ${C3_EPC_BidId} == null && (${C3_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\">-</div>\n      {{elseif ${C3_EPC_HasBidBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_BidGroupPrice}</div>\n      {{elseif (${C3_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_BidGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1
                    }
                ],
                "level": 1
            },
            {
                "headerText": "Offer",
                "key": "C3_EPC_OfferGroupKey",
                "hidden": false,
                "group": [
                    {
                        "headerText": "Offer",
                        "key": "C3_EPC_OfferGroupPrice",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "\n      {{if ${C3_EPC_OfferId} != null && ${C3_EPC_OfferGroupPrice}.length == 0 && ${C3_EPC_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_EPC_OfferId} != null && ${C3_EPC_OfferGroupPrice}.length == 0 }}\n      <div class=\"offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_EPC_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_OfferGroupPrice}</div>\n      {{elseif ${C3_EPC_OfferId} == null && (${C3_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\">-</div>\n      {{elseif ${C3_EPC_HasOfferBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_OfferGroupPrice}</div>\n      {{elseif (${C3_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_OfferGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1
                    },
                    {
                        "headerText": "Buy",
                        "key": "C3_EPC_OfferGroupActions",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 21,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "TIF",
                        "key": "C3_EPC_OfferTimeToLive",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 22,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "IOI",
                        "key": "C3_EPC_OfferType",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "{{if ${C3_EPC_OfferType} }} <div class=\"offer-quote-type\" data-pk=\"${C3_EPC_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_EPC_OfferType}.png) no-repeat center;\"></div> {{/if}}",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 23,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Time",
                        "key": "C3_EPC_OfferLastUpdatedDateTime",
                        "hidden": false,
                        "dataType": "date",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 24,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Desk",
                        "key": "C3_EPC_OfferBOEName",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 25,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    }
                ],
                "identifier": "C3_EPC_OfferGroupKey",
                "colspan": 6,
                "children": [
                    {
                        "headerText": "Offer",
                        "key": "C3_EPC_OfferGroupPrice",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "\n      {{if ${C3_EPC_OfferId} != null && ${C3_EPC_OfferGroupPrice}.length == 0 && ${C3_EPC_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_EPC_OfferId} != null && ${C3_EPC_OfferGroupPrice}.length == 0 }}\n      <div class=\"offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_EPC_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_OfferGroupPrice}</div>\n      {{elseif ${C3_EPC_OfferId} == null && (${C3_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\">-</div>\n      {{elseif ${C3_EPC_HasOfferBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_OfferGroupPrice}</div>\n      {{elseif (${C3_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_OfferGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1
                    },
                    {
                        "headerText": "Buy",
                        "key": "C3_EPC_OfferGroupActions",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 21,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "TIF",
                        "key": "C3_EPC_OfferTimeToLive",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 22,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "IOI",
                        "key": "C3_EPC_OfferType",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "{{if ${C3_EPC_OfferType} }} <div class=\"offer-quote-type\" data-pk=\"${C3_EPC_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_EPC_OfferType}.png) no-repeat center;\"></div> {{/if}}",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 23,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Time",
                        "key": "C3_EPC_OfferLastUpdatedDateTime",
                        "hidden": false,
                        "dataType": "date",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 24,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Desk",
                        "key": "C3_EPC_OfferBOEName",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 25,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    }
                ],
                "level": 1
            },
            {
                "headerText": "Last",
                "key": "C3_EPC_LastTradedPrice",
                "hidden": false,
                "dataType": "string",
                "width": 70,
                "columnCssClass": "border-column-right",
                "level": 0,
                "level0": true,
                "rowspan": 2
            }
        ],
        "groupOptions": {
            "expanded": true,
            "allowGroupCollapsing": true
        },
        "identifier": "C3_EPC_GroupKey",
        "colspan": 13,
        "children": [
            {
                "headerText": "Desk",
                "key": "C3_EPC_BidBOEName",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 14,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Time",
                "key": "C3_EPC_BidLastUpdatedDateTime",
                "hidden": false,
                "dataType": "date",
                "width": 65,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 15,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "IOI",
                "key": "C3_EPC_BidType",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "template": "{{if ${C3_EPC_BidType} }} <div class=\"bid-quote-type\" data-pk=\"${C3_EPC_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_EPC_BidType}.png) no-repeat center; \"></div> {{/if}}",
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 16,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "TIF",
                "key": "C3_EPC_BidTimeToLive",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 17,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Sell",
                "key": "C3_EPC_BidGroupActions",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 18,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Bid",
                "key": "C3_EPC_BidGroupPrice",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "template": "\n      {{if ${C3_EPC_BidId} != null && ${C3_EPC_BidGroupPrice}.length == 0 && ${C3_EPC_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_EPC_BidId} != null && ${C3_EPC_BidGroupPrice}.length == 0 }}\n      <div class=\"bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_EPC_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_BidGroupPrice}</div>\n      {{elseif ${C3_EPC_BidId} == null && (${C3_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\">-</div>\n      {{elseif ${C3_EPC_HasBidBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_BidGroupPrice}</div>\n      {{elseif (${C3_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_BidGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                "level": 0,
                "level0": true,
                "rowspan": 1
            },
            {
                "headerText": "Offer",
                "key": "C3_EPC_OfferGroupPrice",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "template": "\n      {{if ${C3_EPC_OfferId} != null && ${C3_EPC_OfferGroupPrice}.length == 0 && ${C3_EPC_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_EPC_OfferId} != null && ${C3_EPC_OfferGroupPrice}.length == 0 }}\n      <div class=\"offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_EPC_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_OfferGroupPrice}</div>\n      {{elseif ${C3_EPC_OfferId} == null && (${C3_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\">-</div>\n      {{elseif ${C3_EPC_HasOfferBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_OfferGroupPrice}</div>\n      {{elseif (${C3_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_OfferGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                "level": 0,
                "level0": true,
                "rowspan": 1
            },
            {
                "headerText": "Buy",
                "key": "C3_EPC_OfferGroupActions",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 21,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "TIF",
                "key": "C3_EPC_OfferTimeToLive",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 22,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "IOI",
                "key": "C3_EPC_OfferType",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "template": "{{if ${C3_EPC_OfferType} }} <div class=\"offer-quote-type\" data-pk=\"${C3_EPC_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_EPC_OfferType}.png) no-repeat center;\"></div> {{/if}}",
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 23,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Time",
                "key": "C3_EPC_OfferLastUpdatedDateTime",
                "hidden": false,
                "dataType": "date",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 24,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Desk",
                "key": "C3_EPC_OfferBOEName",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 25,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Last",
                "key": "C3_EPC_LastTradedPrice",
                "hidden": false,
                "dataType": "string",
                "width": 70,
                "columnCssClass": "border-column-right",
                "level": 0,
                "level0": true,
                "rowspan": 2
            }
        ],
        "level": 2
    },
    {
        "headerText": "C3 LST",
        "key": "C3_LST_GroupKey",
        "hidden": false,
        "allowHiding": true,
        "group": [
            {
                "headerText": "Bid",
                "key": "C3_LST_BidGroupKey",
                "hidden": false,
                "group": [
                    {
                        "headerText": "Desk",
                        "key": "C3_LST_BidBOEName",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 27,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Time",
                        "key": "C3_LST_BidLastUpdatedDateTime",
                        "hidden": false,
                        "dataType": "date",
                        "width": 65,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 28,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "IOI",
                        "key": "C3_LST_BidType",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "{{if ${C3_LST_BidType} }} <div class=\"bid-quote-type\" data-pk=\"${C3_LST_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_LST_BidType}.png) no-repeat center; \"></div> {{/if}}",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 29,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "TIF",
                        "key": "C3_LST_BidTimeToLive",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 30,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Sell",
                        "key": "C3_LST_BidGroupActions",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 31,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Bid",
                        "key": "C3_LST_BidGroupPrice",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "\n      {{if ${C3_LST_BidId} != null && ${C3_LST_BidGroupPrice}.length == 0 && ${C3_LST_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_LST_BidId} != null && ${C3_LST_BidGroupPrice}.length == 0 }}\n      <div class=\"bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_LST_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_BidGroupPrice}</div>\n      {{elseif ${C3_LST_BidId} == null && (${C3_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\">-</div>\n      {{elseif ${C3_LST_HasBidBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_BidGroupPrice}</div>\n      {{elseif (${C3_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_BidGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1
                    }
                ],
                "identifier": "C3_LST_BidGroupKey",
                "colspan": 6,
                "children": [
                    {
                        "headerText": "Desk",
                        "key": "C3_LST_BidBOEName",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 27,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Time",
                        "key": "C3_LST_BidLastUpdatedDateTime",
                        "hidden": false,
                        "dataType": "date",
                        "width": 65,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 28,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "IOI",
                        "key": "C3_LST_BidType",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "{{if ${C3_LST_BidType} }} <div class=\"bid-quote-type\" data-pk=\"${C3_LST_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_LST_BidType}.png) no-repeat center; \"></div> {{/if}}",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 29,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "TIF",
                        "key": "C3_LST_BidTimeToLive",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 30,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Sell",
                        "key": "C3_LST_BidGroupActions",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 31,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Bid",
                        "key": "C3_LST_BidGroupPrice",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "\n      {{if ${C3_LST_BidId} != null && ${C3_LST_BidGroupPrice}.length == 0 && ${C3_LST_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_LST_BidId} != null && ${C3_LST_BidGroupPrice}.length == 0 }}\n      <div class=\"bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_LST_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_BidGroupPrice}</div>\n      {{elseif ${C3_LST_BidId} == null && (${C3_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\">-</div>\n      {{elseif ${C3_LST_HasBidBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_BidGroupPrice}</div>\n      {{elseif (${C3_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_BidGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1
                    }
                ],
                "level": 1
            },
            {
                "headerText": "Offer",
                "key": "C3_LST_OfferGroupKey",
                "hidden": false,
                "group": [
                    {
                        "headerText": "Offer",
                        "key": "C3_LST_OfferGroupPrice",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "\n      {{if ${C3_LST_OfferId} != null && ${C3_LST_OfferGroupPrice}.length == 0 && ${C3_LST_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_LST_OfferId} != null && ${C3_LST_OfferGroupPrice}.length == 0 }}\n      <div class=\"offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_LST_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_OfferGroupPrice}</div>\n      {{elseif ${C3_LST_OfferId} == null && (${C3_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\">-</div>\n      {{elseif ${C3_LST_HasOfferBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_OfferGroupPrice}</div>\n      {{elseif (${C3_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_OfferGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1
                    },
                    {
                        "headerText": "Buy",
                        "key": "C3_LST_OfferGroupActions",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 34,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "TIF",
                        "key": "C3_LST_OfferTimeToLive",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 35,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "IOI",
                        "key": "C3_LST_OfferType",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "{{if ${C3_LST_OfferType} }} <div class=\"offer-quote-type\" data-pk=\"${C3_LST_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_LST_OfferType}.png) no-repeat center;\"></div> {{/if}}",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 36,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Time",
                        "key": "C3_LST_OfferLastUpdatedDateTime",
                        "hidden": false,
                        "dataType": "date",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 37,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Desk",
                        "key": "C3_LST_OfferBOEName",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 38,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    }
                ],
                "identifier": "C3_LST_OfferGroupKey",
                "colspan": 6,
                "children": [
                    {
                        "headerText": "Offer",
                        "key": "C3_LST_OfferGroupPrice",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "\n      {{if ${C3_LST_OfferId} != null && ${C3_LST_OfferGroupPrice}.length == 0 && ${C3_LST_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_LST_OfferId} != null && ${C3_LST_OfferGroupPrice}.length == 0 }}\n      <div class=\"offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_LST_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_OfferGroupPrice}</div>\n      {{elseif ${C3_LST_OfferId} == null && (${C3_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\">-</div>\n      {{elseif ${C3_LST_HasOfferBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_OfferGroupPrice}</div>\n      {{elseif (${C3_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_OfferGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1
                    },
                    {
                        "headerText": "Buy",
                        "key": "C3_LST_OfferGroupActions",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 34,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "TIF",
                        "key": "C3_LST_OfferTimeToLive",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 35,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "IOI",
                        "key": "C3_LST_OfferType",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "{{if ${C3_LST_OfferType} }} <div class=\"offer-quote-type\" data-pk=\"${C3_LST_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_LST_OfferType}.png) no-repeat center;\"></div> {{/if}}",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 36,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Time",
                        "key": "C3_LST_OfferLastUpdatedDateTime",
                        "hidden": false,
                        "dataType": "date",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 37,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Desk",
                        "key": "C3_LST_OfferBOEName",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 38,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    }
                ],
                "level": 1
            },
            {
                "headerText": "Last",
                "key": "C3_LST_LastTradedPrice",
                "hidden": false,
                "dataType": "string",
                "width": 70,
                "columnCssClass": "border-column-right",
                "level": 0,
                "level0": true,
                "rowspan": 2
            }
        ],
        "groupOptions": {
            "expanded": true,
            "allowGroupCollapsing": true
        },
        "identifier": "C3_LST_GroupKey",
        "colspan": 13,
        "children": [
            {
                "headerText": "Desk",
                "key": "C3_LST_BidBOEName",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 27,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Time",
                "key": "C3_LST_BidLastUpdatedDateTime",
                "hidden": false,
                "dataType": "date",
                "width": 65,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 28,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "IOI",
                "key": "C3_LST_BidType",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "template": "{{if ${C3_LST_BidType} }} <div class=\"bid-quote-type\" data-pk=\"${C3_LST_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_LST_BidType}.png) no-repeat center; \"></div> {{/if}}",
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 29,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "TIF",
                "key": "C3_LST_BidTimeToLive",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 30,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Sell",
                "key": "C3_LST_BidGroupActions",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 31,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Bid",
                "key": "C3_LST_BidGroupPrice",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "template": "\n      {{if ${C3_LST_BidId} != null && ${C3_LST_BidGroupPrice}.length == 0 && ${C3_LST_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_LST_BidId} != null && ${C3_LST_BidGroupPrice}.length == 0 }}\n      <div class=\"bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_LST_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_BidGroupPrice}</div>\n      {{elseif ${C3_LST_BidId} == null && (${C3_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\">-</div>\n      {{elseif ${C3_LST_HasBidBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_BidGroupPrice}</div>\n      {{elseif (${C3_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_BidGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                "level": 0,
                "level0": true,
                "rowspan": 1
            },
            {
                "headerText": "Offer",
                "key": "C3_LST_OfferGroupPrice",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "template": "\n      {{if ${C3_LST_OfferId} != null && ${C3_LST_OfferGroupPrice}.length == 0 && ${C3_LST_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_LST_OfferId} != null && ${C3_LST_OfferGroupPrice}.length == 0 }}\n      <div class=\"offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_LST_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_OfferGroupPrice}</div>\n      {{elseif ${C3_LST_OfferId} == null && (${C3_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\">-</div>\n      {{elseif ${C3_LST_HasOfferBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_OfferGroupPrice}</div>\n      {{elseif (${C3_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_OfferGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                "level": 0,
                "level0": true,
                "rowspan": 1
            },
            {
                "headerText": "Buy",
                "key": "C3_LST_OfferGroupActions",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 34,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "TIF",
                "key": "C3_LST_OfferTimeToLive",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 35,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "IOI",
                "key": "C3_LST_OfferType",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "template": "{{if ${C3_LST_OfferType} }} <div class=\"offer-quote-type\" data-pk=\"${C3_LST_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_LST_OfferType}.png) no-repeat center;\"></div> {{/if}}",
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 36,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Time",
                "key": "C3_LST_OfferLastUpdatedDateTime",
                "hidden": false,
                "dataType": "date",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 37,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Desk",
                "key": "C3_LST_OfferBOEName",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 38,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Last",
                "key": "C3_LST_LastTradedPrice",
                "hidden": false,
                "dataType": "string",
                "width": 70,
                "columnCssClass": "border-column-right",
                "level": 0,
                "level0": true,
                "rowspan": 2
            }
        ],
        "level": 2
    },
    {
        "headerText": "C4 EPC",
        "key": "C4_EPC_GroupKey",
        "hidden": false,
        "allowHiding": true,
        "group": [
            {
                "headerText": "Bid",
                "key": "C4_EPC_BidGroupKey",
                "hidden": false,
                "group": [
                    {
                        "headerText": "Desk",
                        "key": "C4_EPC_BidBOEName",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 40,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Time",
                        "key": "C4_EPC_BidLastUpdatedDateTime",
                        "hidden": false,
                        "dataType": "date",
                        "width": 65,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 41,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "IOI",
                        "key": "C4_EPC_BidType",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "{{if ${C4_EPC_BidType} }} <div class=\"bid-quote-type\" data-pk=\"${C4_EPC_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C4_EPC_BidType}.png) no-repeat center; \"></div> {{/if}}",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 42,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "TIF",
                        "key": "C4_EPC_BidTimeToLive",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 43,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Sell",
                        "key": "C4_EPC_BidGroupActions",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 44,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Bid",
                        "key": "C4_EPC_BidGroupPrice",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "\n      {{if ${C4_EPC_BidId} != null && ${C4_EPC_BidGroupPrice}.length == 0 && ${C4_EPC_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C4_EPC_BidId} != null && ${C4_EPC_BidGroupPrice}.length == 0 }}\n      <div class=\"bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C4_EPC_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_BidGroupPrice}</div>\n      {{elseif ${C4_EPC_BidId} == null && (${C4_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\">-</div>\n      {{elseif ${C4_EPC_HasBidBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_BidGroupPrice}</div>\n      {{elseif (${C4_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_BidGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1
                    }
                ],
                "identifier": "C4_EPC_BidGroupKey",
                "colspan": 6,
                "children": [
                    {
                        "headerText": "Desk",
                        "key": "C4_EPC_BidBOEName",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 40,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Time",
                        "key": "C4_EPC_BidLastUpdatedDateTime",
                        "hidden": false,
                        "dataType": "date",
                        "width": 65,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 41,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "IOI",
                        "key": "C4_EPC_BidType",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "{{if ${C4_EPC_BidType} }} <div class=\"bid-quote-type\" data-pk=\"${C4_EPC_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C4_EPC_BidType}.png) no-repeat center; \"></div> {{/if}}",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 42,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "TIF",
                        "key": "C4_EPC_BidTimeToLive",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 43,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Sell",
                        "key": "C4_EPC_BidGroupActions",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 44,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Bid",
                        "key": "C4_EPC_BidGroupPrice",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "\n      {{if ${C4_EPC_BidId} != null && ${C4_EPC_BidGroupPrice}.length == 0 && ${C4_EPC_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C4_EPC_BidId} != null && ${C4_EPC_BidGroupPrice}.length == 0 }}\n      <div class=\"bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C4_EPC_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_BidGroupPrice}</div>\n      {{elseif ${C4_EPC_BidId} == null && (${C4_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\">-</div>\n      {{elseif ${C4_EPC_HasBidBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_BidGroupPrice}</div>\n      {{elseif (${C4_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_BidGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1
                    }
                ],
                "level": 1
            },
            {
                "headerText": "Offer",
                "key": "C4_EPC_OfferGroupKey",
                "hidden": false,
                "group": [
                    {
                        "headerText": "Offer",
                        "key": "C4_EPC_OfferGroupPrice",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "\n      {{if ${C4_EPC_OfferId} != null && ${C4_EPC_OfferGroupPrice}.length == 0 && ${C4_EPC_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C4_EPC_OfferId} != null && ${C4_EPC_OfferGroupPrice}.length == 0 }}\n      <div class=\"offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C4_EPC_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_OfferGroupPrice}</div>\n      {{elseif ${C4_EPC_OfferId} == null && (${C4_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\">-</div>\n      {{elseif ${C4_EPC_HasOfferBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_OfferGroupPrice}</div>\n      {{elseif (${C4_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_OfferGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1
                    },
                    {
                        "headerText": "Buy",
                        "key": "C4_EPC_OfferGroupActions",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 47,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "TIF",
                        "key": "C4_EPC_OfferTimeToLive",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 48,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "IOI",
                        "key": "C4_EPC_OfferType",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "{{if ${C4_EPC_OfferType} }} <div class=\"offer-quote-type\" data-pk=\"${C4_EPC_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C4_EPC_OfferType}.png) no-repeat center;\"></div> {{/if}}",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 49,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Time",
                        "key": "C4_EPC_OfferLastUpdatedDateTime",
                        "hidden": false,
                        "dataType": "date",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 50,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Desk",
                        "key": "C4_EPC_OfferBOEName",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 51,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    }
                ],
                "identifier": "C4_EPC_OfferGroupKey",
                "colspan": 6,
                "children": [
                    {
                        "headerText": "Offer",
                        "key": "C4_EPC_OfferGroupPrice",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "\n      {{if ${C4_EPC_OfferId} != null && ${C4_EPC_OfferGroupPrice}.length == 0 && ${C4_EPC_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C4_EPC_OfferId} != null && ${C4_EPC_OfferGroupPrice}.length == 0 }}\n      <div class=\"offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C4_EPC_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_OfferGroupPrice}</div>\n      {{elseif ${C4_EPC_OfferId} == null && (${C4_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\">-</div>\n      {{elseif ${C4_EPC_HasOfferBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_OfferGroupPrice}</div>\n      {{elseif (${C4_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_OfferGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1
                    },
                    {
                        "headerText": "Buy",
                        "key": "C4_EPC_OfferGroupActions",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 47,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "TIF",
                        "key": "C4_EPC_OfferTimeToLive",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 48,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "IOI",
                        "key": "C4_EPC_OfferType",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "{{if ${C4_EPC_OfferType} }} <div class=\"offer-quote-type\" data-pk=\"${C4_EPC_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C4_EPC_OfferType}.png) no-repeat center;\"></div> {{/if}}",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 49,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Time",
                        "key": "C4_EPC_OfferLastUpdatedDateTime",
                        "hidden": false,
                        "dataType": "date",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 50,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Desk",
                        "key": "C4_EPC_OfferBOEName",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 51,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    }
                ],
                "level": 1
            },
            {
                "headerText": "Last",
                "key": "C4_EPC_LastTradedPrice",
                "hidden": false,
                "dataType": "string",
                "width": 70,
                "columnCssClass": "border-column-right",
                "level": 0,
                "level0": true,
                "rowspan": 2
            }
        ],
        "groupOptions": {
            "expanded": true,
            "allowGroupCollapsing": true
        },
        "identifier": "C4_EPC_GroupKey",
        "colspan": 13,
        "children": [
            {
                "headerText": "Desk",
                "key": "C4_EPC_BidBOEName",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 40,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Time",
                "key": "C4_EPC_BidLastUpdatedDateTime",
                "hidden": false,
                "dataType": "date",
                "width": 65,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 41,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "IOI",
                "key": "C4_EPC_BidType",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "template": "{{if ${C4_EPC_BidType} }} <div class=\"bid-quote-type\" data-pk=\"${C4_EPC_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C4_EPC_BidType}.png) no-repeat center; \"></div> {{/if}}",
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 42,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "TIF",
                "key": "C4_EPC_BidTimeToLive",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 43,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Sell",
                "key": "C4_EPC_BidGroupActions",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 44,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Bid",
                "key": "C4_EPC_BidGroupPrice",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "template": "\n      {{if ${C4_EPC_BidId} != null && ${C4_EPC_BidGroupPrice}.length == 0 && ${C4_EPC_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C4_EPC_BidId} != null && ${C4_EPC_BidGroupPrice}.length == 0 }}\n      <div class=\"bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C4_EPC_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_BidGroupPrice}</div>\n      {{elseif ${C4_EPC_BidId} == null && (${C4_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\">-</div>\n      {{elseif ${C4_EPC_HasBidBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_BidGroupPrice}</div>\n      {{elseif (${C4_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_BidGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                "level": 0,
                "level0": true,
                "rowspan": 1
            },
            {
                "headerText": "Offer",
                "key": "C4_EPC_OfferGroupPrice",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "template": "\n      {{if ${C4_EPC_OfferId} != null && ${C4_EPC_OfferGroupPrice}.length == 0 && ${C4_EPC_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C4_EPC_OfferId} != null && ${C4_EPC_OfferGroupPrice}.length == 0 }}\n      <div class=\"offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C4_EPC_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_OfferGroupPrice}</div>\n      {{elseif ${C4_EPC_OfferId} == null && (${C4_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\">-</div>\n      {{elseif ${C4_EPC_HasOfferBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_OfferGroupPrice}</div>\n      {{elseif (${C4_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_OfferGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                "level": 0,
                "level0": true,
                "rowspan": 1
            },
            {
                "headerText": "Buy",
                "key": "C4_EPC_OfferGroupActions",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 47,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "TIF",
                "key": "C4_EPC_OfferTimeToLive",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 48,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "IOI",
                "key": "C4_EPC_OfferType",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "template": "{{if ${C4_EPC_OfferType} }} <div class=\"offer-quote-type\" data-pk=\"${C4_EPC_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C4_EPC_OfferType}.png) no-repeat center;\"></div> {{/if}}",
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 49,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Time",
                "key": "C4_EPC_OfferLastUpdatedDateTime",
                "hidden": false,
                "dataType": "date",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 50,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Desk",
                "key": "C4_EPC_OfferBOEName",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 51,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Last",
                "key": "C4_EPC_LastTradedPrice",
                "hidden": false,
                "dataType": "string",
                "width": 70,
                "columnCssClass": "border-column-right",
                "level": 0,
                "level0": true,
                "rowspan": 2
            }
        ],
        "level": 2
    },
    {
        "headerText": "EPC/LST",
        "key": "EPC_LST_GroupKey",
        "hidden": false,
        "allowHiding": true,
        "group": [
            {
                "headerText": "Bid",
                "key": "EPC_LST_BidGroupKey",
                "hidden": false,
                "group": [
                    {
                        "headerText": "Desk",
                        "key": "EPC_LST_BidBOEName",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 53,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Time",
                        "key": "EPC_LST_BidLastUpdatedDateTime",
                        "hidden": false,
                        "dataType": "date",
                        "width": 65,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 54,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "IOI",
                        "key": "EPC_LST_BidType",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "{{if ${EPC_LST_BidType} }} <div class=\"bid-quote-type\" data-pk=\"${EPC_LST_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${EPC_LST_BidType}.png) no-repeat center; \"></div> {{/if}}",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 55,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "TIF",
                        "key": "EPC_LST_BidTimeToLive",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 56,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Sell",
                        "key": "EPC_LST_BidGroupActions",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 57,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Bid",
                        "key": "EPC_LST_BidGroupPrice",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "\n      {{if ${EPC_LST_BidId} != null && ${EPC_LST_BidGroupPrice}.length == 0 && ${EPC_LST_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${EPC_LST_BidId} != null && ${EPC_LST_BidGroupPrice}.length == 0 }}\n      <div class=\"bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${EPC_LST_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_BidGroupPrice}</div>\n      {{elseif ${EPC_LST_BidId} == null && (${EPC_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\">-</div>\n      {{elseif ${EPC_LST_HasBidBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_BidGroupPrice}</div>\n      {{elseif (${EPC_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_BidGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1
                    }
                ],
                "identifier": "EPC_LST_BidGroupKey",
                "colspan": 6,
                "children": [
                    {
                        "headerText": "Desk",
                        "key": "EPC_LST_BidBOEName",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 53,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Time",
                        "key": "EPC_LST_BidLastUpdatedDateTime",
                        "hidden": false,
                        "dataType": "date",
                        "width": 65,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 54,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "IOI",
                        "key": "EPC_LST_BidType",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "{{if ${EPC_LST_BidType} }} <div class=\"bid-quote-type\" data-pk=\"${EPC_LST_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${EPC_LST_BidType}.png) no-repeat center; \"></div> {{/if}}",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 55,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "TIF",
                        "key": "EPC_LST_BidTimeToLive",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 56,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Sell",
                        "key": "EPC_LST_BidGroupActions",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 57,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Bid",
                        "key": "EPC_LST_BidGroupPrice",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "\n      {{if ${EPC_LST_BidId} != null && ${EPC_LST_BidGroupPrice}.length == 0 && ${EPC_LST_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${EPC_LST_BidId} != null && ${EPC_LST_BidGroupPrice}.length == 0 }}\n      <div class=\"bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${EPC_LST_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_BidGroupPrice}</div>\n      {{elseif ${EPC_LST_BidId} == null && (${EPC_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\">-</div>\n      {{elseif ${EPC_LST_HasBidBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_BidGroupPrice}</div>\n      {{elseif (${EPC_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_BidGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1
                    }
                ],
                "level": 1
            },
            {
                "headerText": "Offer",
                "key": "EPC_LST_OfferGroupKey",
                "hidden": false,
                "group": [
                    {
                        "headerText": "Offer",
                        "key": "EPC_LST_OfferGroupPrice",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "\n      {{if ${EPC_LST_OfferId} != null && ${EPC_LST_OfferGroupPrice}.length == 0 && ${EPC_LST_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${EPC_LST_OfferId} != null && ${EPC_LST_OfferGroupPrice}.length == 0 }}\n      <div class=\"offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${EPC_LST_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_OfferGroupPrice}</div>\n      {{elseif ${EPC_LST_OfferId} == null && (${EPC_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\">-</div>\n      {{elseif ${EPC_LST_HasOfferBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_OfferGroupPrice}</div>\n      {{elseif (${EPC_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_OfferGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1
                    },
                    {
                        "headerText": "Buy",
                        "key": "EPC_LST_OfferGroupActions",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 60,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "TIF",
                        "key": "EPC_LST_OfferTimeToLive",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 61,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "IOI",
                        "key": "EPC_LST_OfferType",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "{{if ${EPC_LST_OfferType} }} <div class=\"offer-quote-type\" data-pk=\"${EPC_LST_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${EPC_LST_OfferType}.png) no-repeat center;\"></div> {{/if}}",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 62,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Time",
                        "key": "EPC_LST_OfferLastUpdatedDateTime",
                        "hidden": false,
                        "dataType": "date",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 63,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Desk",
                        "key": "EPC_LST_OfferBOEName",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 64,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    }
                ],
                "identifier": "EPC_LST_OfferGroupKey",
                "colspan": 6,
                "children": [
                    {
                        "headerText": "Offer",
                        "key": "EPC_LST_OfferGroupPrice",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "\n      {{if ${EPC_LST_OfferId} != null && ${EPC_LST_OfferGroupPrice}.length == 0 && ${EPC_LST_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${EPC_LST_OfferId} != null && ${EPC_LST_OfferGroupPrice}.length == 0 }}\n      <div class=\"offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${EPC_LST_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_OfferGroupPrice}</div>\n      {{elseif ${EPC_LST_OfferId} == null && (${EPC_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\">-</div>\n      {{elseif ${EPC_LST_HasOfferBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_OfferGroupPrice}</div>\n      {{elseif (${EPC_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_OfferGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1
                    },
                    {
                        "headerText": "Buy",
                        "key": "EPC_LST_OfferGroupActions",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 60,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "TIF",
                        "key": "EPC_LST_OfferTimeToLive",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 61,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "IOI",
                        "key": "EPC_LST_OfferType",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "template": "{{if ${EPC_LST_OfferType} }} <div class=\"offer-quote-type\" data-pk=\"${EPC_LST_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${EPC_LST_OfferType}.png) no-repeat center;\"></div> {{/if}}",
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 62,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Time",
                        "key": "EPC_LST_OfferLastUpdatedDateTime",
                        "hidden": false,
                        "dataType": "date",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 63,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    },
                    {
                        "headerText": "Desk",
                        "key": "EPC_LST_OfferBOEName",
                        "hidden": false,
                        "dataType": "string",
                        "width": 50,
                        "level": 0,
                        "level0": true,
                        "rowspan": 1,
                        "allowHiding": true,
                        "visibleIndex": 64,
                        "settings": {
                            "allowHiding": true,
                            "hidden": false
                        }
                    }
                ],
                "level": 1
            },
            {
                "headerText": "Last",
                "key": "EPC_LST_LastTradedPrice",
                "hidden": false,
                "dataType": "string",
                "width": 70,
                "columnCssClass": "border-column-right",
                "level": 0,
                "level0": true,
                "rowspan": 2
            }
        ],
        "groupOptions": {
            "expanded": true,
            "allowGroupCollapsing": true
        },
        "identifier": "EPC_LST_GroupKey",
        "colspan": 13,
        "children": [
            {
                "headerText": "Desk",
                "key": "EPC_LST_BidBOEName",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 53,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Time",
                "key": "EPC_LST_BidLastUpdatedDateTime",
                "hidden": false,
                "dataType": "date",
                "width": 65,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 54,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "IOI",
                "key": "EPC_LST_BidType",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "template": "{{if ${EPC_LST_BidType} }} <div class=\"bid-quote-type\" data-pk=\"${EPC_LST_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${EPC_LST_BidType}.png) no-repeat center; \"></div> {{/if}}",
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 55,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "TIF",
                "key": "EPC_LST_BidTimeToLive",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 56,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Sell",
                "key": "EPC_LST_BidGroupActions",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 57,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Bid",
                "key": "EPC_LST_BidGroupPrice",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "template": "\n      {{if ${EPC_LST_BidId} != null && ${EPC_LST_BidGroupPrice}.length == 0 && ${EPC_LST_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${EPC_LST_BidId} != null && ${EPC_LST_BidGroupPrice}.length == 0 }}\n      <div class=\"bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${EPC_LST_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_BidGroupPrice}</div>\n      {{elseif ${EPC_LST_BidId} == null && (${EPC_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\">-</div>\n      {{elseif ${EPC_LST_HasBidBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_BidGroupPrice}</div>\n      {{elseif (${EPC_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_BidGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                "level": 0,
                "level0": true,
                "rowspan": 1
            },
            {
                "headerText": "Offer",
                "key": "EPC_LST_OfferGroupPrice",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "template": "\n      {{if ${EPC_LST_OfferId} != null && ${EPC_LST_OfferGroupPrice}.length == 0 && ${EPC_LST_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${EPC_LST_OfferId} != null && ${EPC_LST_OfferGroupPrice}.length == 0 }}\n      <div class=\"offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${EPC_LST_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_OfferGroupPrice}</div>\n      {{elseif ${EPC_LST_OfferId} == null && (${EPC_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\">-</div>\n      {{elseif ${EPC_LST_HasOfferBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_OfferGroupPrice}</div>\n      {{elseif (${EPC_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_OfferGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
                "level": 0,
                "level0": true,
                "rowspan": 1
            },
            {
                "headerText": "Buy",
                "key": "EPC_LST_OfferGroupActions",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 60,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "TIF",
                "key": "EPC_LST_OfferTimeToLive",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 61,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "IOI",
                "key": "EPC_LST_OfferType",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "template": "{{if ${EPC_LST_OfferType} }} <div class=\"offer-quote-type\" data-pk=\"${EPC_LST_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${EPC_LST_OfferType}.png) no-repeat center;\"></div> {{/if}}",
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 62,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Time",
                "key": "EPC_LST_OfferLastUpdatedDateTime",
                "hidden": false,
                "dataType": "date",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 63,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Desk",
                "key": "EPC_LST_OfferBOEName",
                "hidden": false,
                "dataType": "string",
                "width": 50,
                "level": 0,
                "level0": true,
                "rowspan": 1,
                "allowHiding": true,
                "visibleIndex": 64,
                "settings": {
                    "allowHiding": true,
                    "hidden": false
                }
            },
            {
                "headerText": "Last",
                "key": "EPC_LST_LastTradedPrice",
                "hidden": false,
                "dataType": "string",
                "width": 70,
                "columnCssClass": "border-column-right",
                "level": 0,
                "level0": true,
                "rowspan": 2
            }
        ],
        "level": 2
    },
    {
        "headerText": "SortKey",
        "key": "SortKey",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 66,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Term Start Date",
        "key": "TermStartDate",
        "hidden": true,
        "dataType": "date",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 67,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Seq",
        "key": "Seq",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 68,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "TermParentId",
        "key": "TermParentId",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 69,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "ParentId",
        "key": "C3_CWY_ParentId",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 70,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PrimaryKey",
        "key": "C3_CWY_PrimaryKey",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 71,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "StrategyInstrumentId",
        "key": "C3_CWY_StrategyInstrumentId",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 72,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "HasBidBoeRelation",
        "key": "C3_CWY_HasBidBoeRelation",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 73,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "BidId",
        "key": "C3_CWY_BidId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 74,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OwnBid",
        "key": "C3_CWY_IsMyBid",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 75,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Exch",
        "key": "C3_CWY_BidExch",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 76,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Buyer",
        "key": "C3_CWY_BidTOEname",
        "hidden": true,
        "dataType": "string",
        "width": 85,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 77,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PreviousBid",
        "key": "C3_CWY_BidPreviousPrice",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 78,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "CanTradeBid",
        "key": "C3_CWY_CanTradeBid",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 79,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "HasOfferBoeRelation",
        "key": "C3_CWY_HasOfferBoeRelation",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 80,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PreviousOffer",
        "key": "C3_CWY_OfferPreviousPrice",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 81,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Seller",
        "key": "C3_CWY_OfferTOEName",
        "hidden": true,
        "dataType": "string",
        "width": 85,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 82,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Exch",
        "key": "C3_CWY_OfferExch",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 83,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OwnOffer",
        "key": "C3_CWY_IsMyOffer",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 84,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OfferId",
        "key": "C3_CWY_OfferId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 85,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "CanTradeOffer",
        "key": "C3_CWY_CanTradeOffer",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 86,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "InstrumentId",
        "key": "C3_CWY_InstrumentId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 87,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "InstrumentDefinitionId",
        "key": "C3_CWY_InstrumentDefinitionId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 88,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "ParentId",
        "key": "C3_EPC_ParentId",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 89,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PrimaryKey",
        "key": "C3_EPC_PrimaryKey",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 90,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "StrategyInstrumentId",
        "key": "C3_EPC_StrategyInstrumentId",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 91,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "HasBidBoeRelation",
        "key": "C3_EPC_HasBidBoeRelation",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 92,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "BidId",
        "key": "C3_EPC_BidId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 93,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OwnBid",
        "key": "C3_EPC_IsMyBid",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 94,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Exch",
        "key": "C3_EPC_BidExch",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 95,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Buyer",
        "key": "C3_EPC_BidTOEname",
        "hidden": true,
        "dataType": "string",
        "width": 85,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 96,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PreviousBid",
        "key": "C3_EPC_BidPreviousPrice",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 97,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "CanTradeBid",
        "key": "C3_EPC_CanTradeBid",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 98,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "HasOfferBoeRelation",
        "key": "C3_EPC_HasOfferBoeRelation",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 99,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PreviousOffer",
        "key": "C3_EPC_OfferPreviousPrice",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 100,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Seller",
        "key": "C3_EPC_OfferTOEName",
        "hidden": true,
        "dataType": "string",
        "width": 85,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 101,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Exch",
        "key": "C3_EPC_OfferExch",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 102,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OwnOffer",
        "key": "C3_EPC_IsMyOffer",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 103,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OfferId",
        "key": "C3_EPC_OfferId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 104,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "CanTradeOffer",
        "key": "C3_EPC_CanTradeOffer",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 105,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "InstrumentId",
        "key": "C3_EPC_InstrumentId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 106,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "InstrumentDefinitionId",
        "key": "C3_EPC_InstrumentDefinitionId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 107,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "ParentId",
        "key": "C3_LST_ParentId",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 108,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PrimaryKey",
        "key": "C3_LST_PrimaryKey",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 109,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "StrategyInstrumentId",
        "key": "C3_LST_StrategyInstrumentId",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 110,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "HasBidBoeRelation",
        "key": "C3_LST_HasBidBoeRelation",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 111,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "BidId",
        "key": "C3_LST_BidId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 112,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OwnBid",
        "key": "C3_LST_IsMyBid",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 113,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Exch",
        "key": "C3_LST_BidExch",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 114,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Buyer",
        "key": "C3_LST_BidTOEname",
        "hidden": true,
        "dataType": "string",
        "width": 85,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 115,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PreviousBid",
        "key": "C3_LST_BidPreviousPrice",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 116,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "CanTradeBid",
        "key": "C3_LST_CanTradeBid",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 117,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "HasOfferBoeRelation",
        "key": "C3_LST_HasOfferBoeRelation",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 118,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PreviousOffer",
        "key": "C3_LST_OfferPreviousPrice",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 119,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Seller",
        "key": "C3_LST_OfferTOEName",
        "hidden": true,
        "dataType": "string",
        "width": 85,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 120,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Exch",
        "key": "C3_LST_OfferExch",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 121,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OwnOffer",
        "key": "C3_LST_IsMyOffer",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 122,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OfferId",
        "key": "C3_LST_OfferId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 123,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "CanTradeOffer",
        "key": "C3_LST_CanTradeOffer",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 124,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "InstrumentId",
        "key": "C3_LST_InstrumentId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 125,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "InstrumentDefinitionId",
        "key": "C3_LST_InstrumentDefinitionId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 126,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "ParentId",
        "key": "C4_EPC_ParentId",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 127,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PrimaryKey",
        "key": "C4_EPC_PrimaryKey",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 128,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "StrategyInstrumentId",
        "key": "C4_EPC_StrategyInstrumentId",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 129,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "HasBidBoeRelation",
        "key": "C4_EPC_HasBidBoeRelation",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 130,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "BidId",
        "key": "C4_EPC_BidId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 131,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OwnBid",
        "key": "C4_EPC_IsMyBid",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 132,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Exch",
        "key": "C4_EPC_BidExch",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 133,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Buyer",
        "key": "C4_EPC_BidTOEname",
        "hidden": true,
        "dataType": "string",
        "width": 85,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 134,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PreviousBid",
        "key": "C4_EPC_BidPreviousPrice",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 135,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "CanTradeBid",
        "key": "C4_EPC_CanTradeBid",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 136,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "HasOfferBoeRelation",
        "key": "C4_EPC_HasOfferBoeRelation",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 137,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PreviousOffer",
        "key": "C4_EPC_OfferPreviousPrice",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 138,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Seller",
        "key": "C4_EPC_OfferTOEName",
        "hidden": true,
        "dataType": "string",
        "width": 85,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 139,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Exch",
        "key": "C4_EPC_OfferExch",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 140,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OwnOffer",
        "key": "C4_EPC_IsMyOffer",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 141,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OfferId",
        "key": "C4_EPC_OfferId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 142,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "CanTradeOffer",
        "key": "C4_EPC_CanTradeOffer",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 143,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "InstrumentId",
        "key": "C4_EPC_InstrumentId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 144,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "InstrumentDefinitionId",
        "key": "C4_EPC_InstrumentDefinitionId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 145,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "ParentId",
        "key": "EPC_LST_ParentId",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 146,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PrimaryKey",
        "key": "EPC_LST_PrimaryKey",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 147,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "StrategyInstrumentId",
        "key": "EPC_LST_StrategyInstrumentId",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 148,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "HasBidBoeRelation",
        "key": "EPC_LST_HasBidBoeRelation",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 149,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "BidId",
        "key": "EPC_LST_BidId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 150,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OwnBid",
        "key": "EPC_LST_IsMyBid",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 151,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Exch",
        "key": "EPC_LST_BidExch",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 152,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Buyer",
        "key": "EPC_LST_BidTOEname",
        "hidden": true,
        "dataType": "string",
        "width": 85,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 153,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PreviousBid",
        "key": "EPC_LST_BidPreviousPrice",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 154,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "CanTradeBid",
        "key": "EPC_LST_CanTradeBid",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 155,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "HasOfferBoeRelation",
        "key": "EPC_LST_HasOfferBoeRelation",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 156,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PreviousOffer",
        "key": "EPC_LST_OfferPreviousPrice",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 157,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Seller",
        "key": "EPC_LST_OfferTOEName",
        "hidden": true,
        "dataType": "string",
        "width": 85,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 158,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Exch",
        "key": "EPC_LST_OfferExch",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 159,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OwnOffer",
        "key": "EPC_LST_IsMyOffer",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 160,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OfferId",
        "key": "EPC_LST_OfferId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 161,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "CanTradeOffer",
        "key": "EPC_LST_CanTradeOffer",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 162,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "InstrumentId",
        "key": "EPC_LST_InstrumentId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 163,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "InstrumentDefinitionId",
        "key": "EPC_LST_InstrumentDefinitionId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 164,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    }
];
var dsDatatemp = [
    {
        "TermParentId": "0_0",
        "Term": "SEP24",
        "SortKey": 1,
        "Seq": 0,
        "Location": "LST",
        "C3_LST_ParentId": "0_0",
        "C3_LST_PrimaryKey": "17508_17507",
        "C3_LST_StrategyInstrumentId": 687989,
        "C3_LST_CanTradeBid": false,
        "C3_LST_CanTradeOffer": false,
        "C3_LST_BidId": 17508,
        "C3_LST_IsMyBid": false,
        "C3_LST_BidExch": "NYMEX",
        "C3_LST_Term": "SEP24",
        "C3_LST_BidBOEName": "EOXLive",
        "C3_LST_BidType": "quote_type_ioi",
        "C3_LST_BidTimeToLive": null,
        "C3_LST_BidGroupActions": null,
        "C3_LST_BidLastUpdatedDateTime": "2024-04-18T16:12:44Z",
        "C3_LST_BidTOEname": "EOXLive",
        "C3_LST_BidPreviousPrice": "0.68125",
        "C3_LST_BidGroupPrice": "0.68125",
        "C3_LST_OfferGroupPrice": "0.68750",
        "C3_LST_OfferPreviousPrice": "0.68750",
        "C3_LST_OfferSize": 5000,
        "C3_LST_OfferTOEName": "EOXLive",
        "C3_LST_OfferBOEName": "EOXLive",
        "C3_LST_OfferLastUpdatedDateTime": "2024-04-18T16:12:44Z",
        "C3_LST_OfferGroupActions": null,
        "C3_LST_OfferTimeToLive": null,
        "C3_LST_OfferType": "quote_type_ioi",
        "C3_LST_OfferExch": "NYMEX",
        "C3_LST_IsMyOffer": false,
        "C3_LST_OfferId": 17507,
        "C3_LST_LastTradedPrice": "",
        "TermStartDate": "2024-09-01T05:00:00.000Z",
        "C3_CWY_BidBOEName": "",
        "C3_CWY_BidLastUpdatedDateTime": null,
        "C3_CWY_BidType": "",
        "C3_CWY_BidTimeToLive": "",
        "C3_CWY_BidGroupActions": "",
        "C3_CWY_BidGroupPrice": "",
        "C3_CWY_OfferGroupPrice": "",
        "C3_CWY_OfferGroupActions": "",
        "C3_CWY_OfferTimeToLive": "",
        "C3_CWY_OfferType": "",
        "C3_CWY_OfferLastUpdatedDateTime": null,
        "C3_CWY_OfferBOEName": "",
        "C3_CWY_LastTradedPrice": "",
        "C3_EPC_BidBOEName": "",
        "C3_EPC_BidLastUpdatedDateTime": null,
        "C3_EPC_BidType": "",
        "C3_EPC_BidTimeToLive": "",
        "C3_EPC_BidGroupActions": "",
        "C3_EPC_BidGroupPrice": "",
        "C3_EPC_OfferGroupPrice": "",
        "C3_EPC_OfferGroupActions": "",
        "C3_EPC_OfferTimeToLive": "",
        "C3_EPC_OfferType": "",
        "C3_EPC_OfferLastUpdatedDateTime": null,
        "C3_EPC_OfferBOEName": "",
        "C3_EPC_LastTradedPrice": "",
        "C4_EPC_BidBOEName": "",
        "C4_EPC_BidLastUpdatedDateTime": null,
        "C4_EPC_BidType": "",
        "C4_EPC_BidTimeToLive": "",
        "C4_EPC_BidGroupActions": "",
        "C4_EPC_BidGroupPrice": "",
        "C4_EPC_OfferGroupPrice": "",
        "C4_EPC_OfferGroupActions": "",
        "C4_EPC_OfferTimeToLive": "",
        "C4_EPC_OfferType": "",
        "C4_EPC_OfferLastUpdatedDateTime": null,
        "C4_EPC_OfferBOEName": "",
        "C4_EPC_LastTradedPrice": "",
        "EPC_LST_BidBOEName": "",
        "EPC_LST_BidLastUpdatedDateTime": null,
        "EPC_LST_BidType": "",
        "EPC_LST_BidTimeToLive": "",
        "EPC_LST_BidGroupActions": "",
        "EPC_LST_BidGroupPrice": "",
        "EPC_LST_OfferGroupPrice": "",
        "EPC_LST_OfferGroupActions": "",
        "EPC_LST_OfferTimeToLive": "",
        "EPC_LST_OfferType": "",
        "EPC_LST_OfferLastUpdatedDateTime": null,
        "EPC_LST_OfferBOEName": "",
        "EPC_LST_LastTradedPrice": "",
        "C3_CWY_ParentId": "",
        "C3_CWY_PrimaryKey": "",
        "C3_CWY_StrategyInstrumentId": "",
        "C3_CWY_HasBidBoeRelation": false,
        "C3_CWY_BidId": null,
        "C3_CWY_IsMyBid": false,
        "C3_CWY_BidExch": "",
        "C3_CWY_BidTOEname": "",
        "C3_CWY_BidPreviousPrice": "",
        "C3_CWY_CanTradeBid": false,
        "C3_CWY_HasOfferBoeRelation": false,
        "C3_CWY_OfferPreviousPrice": "",
        "C3_CWY_OfferTOEName": "",
        "C3_CWY_OfferExch": "",
        "C3_CWY_IsMyOffer": false,
        "C3_CWY_OfferId": null,
        "C3_CWY_CanTradeOffer": false,
        "C3_CWY_InstrumentId": null,
        "C3_CWY_InstrumentDefinitionId": null,
        "C3_EPC_ParentId": "",
        "C3_EPC_PrimaryKey": "",
        "C3_EPC_StrategyInstrumentId": "",
        "C3_EPC_HasBidBoeRelation": false,
        "C3_EPC_BidId": null,
        "C3_EPC_IsMyBid": false,
        "C3_EPC_BidExch": "",
        "C3_EPC_BidTOEname": "",
        "C3_EPC_BidPreviousPrice": "",
        "C3_EPC_CanTradeBid": false,
        "C3_EPC_HasOfferBoeRelation": false,
        "C3_EPC_OfferPreviousPrice": "",
        "C3_EPC_OfferTOEName": "",
        "C3_EPC_OfferExch": "",
        "C3_EPC_IsMyOffer": false,
        "C3_EPC_OfferId": null,
        "C3_EPC_CanTradeOffer": false,
        "C3_EPC_InstrumentId": null,
        "C3_EPC_InstrumentDefinitionId": null,
        "C3_LST_HasBidBoeRelation": false,
        "C3_LST_HasOfferBoeRelation": false,
        "C3_LST_InstrumentId": null,
        "C3_LST_InstrumentDefinitionId": null,
        "C4_EPC_ParentId": "",
        "C4_EPC_PrimaryKey": "",
        "C4_EPC_StrategyInstrumentId": "",
        "C4_EPC_HasBidBoeRelation": false,
        "C4_EPC_BidId": null,
        "C4_EPC_IsMyBid": false,
        "C4_EPC_BidExch": "",
        "C4_EPC_BidTOEname": "",
        "C4_EPC_BidPreviousPrice": "",
        "C4_EPC_CanTradeBid": false,
        "C4_EPC_HasOfferBoeRelation": false,
        "C4_EPC_OfferPreviousPrice": "",
        "C4_EPC_OfferTOEName": "",
        "C4_EPC_OfferExch": "",
        "C4_EPC_IsMyOffer": false,
        "C4_EPC_OfferId": null,
        "C4_EPC_CanTradeOffer": false,
        "C4_EPC_InstrumentId": null,
        "C4_EPC_InstrumentDefinitionId": null,
        "EPC_LST_ParentId": "",
        "EPC_LST_PrimaryKey": "",
        "EPC_LST_StrategyInstrumentId": "",
        "EPC_LST_HasBidBoeRelation": false,
        "EPC_LST_BidId": null,
        "EPC_LST_IsMyBid": false,
        "EPC_LST_BidExch": "",
        "EPC_LST_BidTOEname": "",
        "EPC_LST_BidPreviousPrice": "",
        "EPC_LST_CanTradeBid": false,
        "EPC_LST_HasOfferBoeRelation": false,
        "EPC_LST_OfferPreviousPrice": "",
        "EPC_LST_OfferTOEName": "",
        "EPC_LST_OfferExch": "",
        "EPC_LST_IsMyOffer": false,
        "EPC_LST_OfferId": null,
        "EPC_LST_CanTradeOffer": false,
        "EPC_LST_InstrumentId": null,
        "EPC_LST_InstrumentDefinitionId": null,
        "__ig_options.expanded": true,
        "__ig_options.dataLevel": 0,
        "C3_LST_BidSize": 5000
    },
    {
        "TermParentId": "0_0",
        "Term": "DEC24/MAR25",
        "SortKey": 11,
        "Seq": 0,
        "Location": "Conway",
        "C3_CWY_ParentId": "0_0",
        "C3_CWY_PrimaryKey": "17504_17503",
        "C3_CWY_StrategyInstrumentId": 695445,
        "C3_CWY_CanTradeBid": false,
        "C3_CWY_CanTradeOffer": false,
        "C3_CWY_BidId": 17504,
        "C3_CWY_IsMyBid": false,
        "C3_CWY_BidExch": "NYMEX",
        "C3_CWY_Term": "DEC24/MAR25",
        "C3_CWY_BidBOEName": "EOXLive",
        "C3_CWY_BidType": "quote_type_ioi",
        "C3_CWY_BidTimeToLive": null,
        "C3_CWY_BidLastUpdatedDateTime": "/Date(1713456717000)/",
        "C3_CWY_BidTOEname": "EOXLive",
        "C3_CWY_BidPreviousPrice": "0.01500",
        "C3_CWY_BidGroupPrice": "0.01500",
        "C3_CWY_OfferGroupPrice": "0.01750",
        "C3_CWY_OfferPreviousPrice": "0.01750",
        "C3_CWY_OfferSize": 5000,
        "C3_CWY_OfferTOEName": "EOXLive",
        "C3_CWY_OfferBOEName": "EOXLive",
        "C3_CWY_OfferLastUpdatedDateTime": "/Date(1713456717000)/",
        "C3_CWY_OfferTimeToLive": null,
        "C3_CWY_OfferType": "quote_type_ioi",
        "C3_CWY_OfferExch": "NYMEX",
        "C3_CWY_IsMyOffer": false,
        "C3_CWY_OfferId": 17503,
        "C3_CWY_LastTradedPrice": "",
        "TermStartDate": "12/01/2024",
        "markets": [
            {
                "TermParentId": "DEC24/MAR25",
                "Term": "DEC24/MAR25",
                "SortKey": 11,
                "Seq": 1,
                "Location": null,
                "C3_CWY_ParentId": "17504_17503",
                "C3_CWY_PrimaryKey": "17506_17505",
                "C3_CWY_StrategyInstrumentId": 695445,
                "C3_CWY_CanTradeBid": false,
                "C3_CWY_CanTradeOffer": false,
                "C3_CWY_BidId": 17506,
                "C3_CWY_IsMyBid": false,
                "C3_CWY_BidExch": "NYMEX",
                "C3_CWY_Term": "DEC24/MAR25",
                "C3_CWY_BidBOEName": "EOXLive",
                "C3_CWY_BidType": "quote_type_ioi",
                "C3_CWY_BidTimeToLive": null,
                "C3_CWY_BidLastUpdatedDateTime": "/Date(1713456739000)/",
                "C3_CWY_BidTOEname": "EOXLive",
                "C3_CWY_BidPreviousPrice": "0.01500",
                "C3_CWY_BidGroupPrice": "0.01500",
                "C3_CWY_OfferGroupPrice": "0.01860",
                "C3_CWY_OfferPreviousPrice": "0.01860",
                "C3_CWY_OfferSize": 5000,
                "C3_CWY_OfferTOEName": "EOXLive",
                "C3_CWY_OfferBOEName": "EOXLive",
                "C3_CWY_OfferLastUpdatedDateTime": "/Date(1713456739000)/",
                "C3_CWY_OfferTimeToLive": null,
                "C3_CWY_OfferType": "quote_type_ioi",
                "C3_CWY_OfferExch": "NYMEX",
                "C3_CWY_IsMyOffer": false,
                "C3_CWY_OfferId": 17505,
                "C3_CWY_LastTradedPrice": "",
                "TermStartDate": "12/01/2024"
            }
        ]
    },
    {
        "TermParentId": "0_0",
        "Term": "AUG24",
        "SortKey": 1,
        "Seq": 0,
        "Location": "LST",
        "C3_EPC_ParentId": "0_0",
        "C3_EPC_PrimaryKey": "17502_17501",
        "C3_EPC_StrategyInstrumentId": 695450,
        "C3_EPC_CanTradeBid": false,
        "C3_EPC_CanTradeOffer": false,
        "C3_EPC_BidId": 17502,
        "C3_EPC_IsMyBid": false,
        "C3_EPC_BidExch": "NYMEX",
        "C3_EPC_Term": "AUG24",
        "C3_EPC_BidBOEName": "EOXLive",
        "C3_EPC_BidType": "quote_type_ioi",
        "C3_EPC_BidTimeToLive": null,
        "C3_EPC_BidLastUpdatedDateTime": "/Date(1713456702000)/",
        "C3_EPC_BidTOEname": "EOXLive",
        "C3_EPC_BidPreviousPrice": "0.65500",
        "C3_EPC_BidGroupPrice": "0.65500",
        "C3_EPC_OfferGroupPrice": "0.68500",
        "C3_EPC_OfferPreviousPrice": "0.68500",
        "C3_EPC_OfferSize": 5000,
        "C3_EPC_OfferTOEName": "EOXLive",
        "C3_EPC_OfferBOEName": "EOXLive",
        "C3_EPC_OfferLastUpdatedDateTime": "/Date(1713456701000)/",
        "C3_EPC_OfferTimeToLive": null,
        "C3_EPC_OfferType": "quote_type_ioi",
        "C3_EPC_OfferExch": "NYMEX",
        "C3_EPC_IsMyOffer": false,
        "C3_EPC_OfferId": 17501,
        "C3_EPC_LastTradedPrice": "",
        "TermStartDate": "08/01/2024",
        "C3_LST_ParentId": "0_0",
        "C3_LST_PrimaryKey": "17500_17499",
        "C3_LST_StrategyInstrumentId": 689373,
        "C3_LST_CanTradeBid": false,
        "C3_LST_CanTradeOffer": false,
        "C3_LST_BidId": 17500,
        "C3_LST_IsMyBid": false,
        "C3_LST_BidExch": "NYMEX",
        "C3_LST_Term": "AUG24",
        "C3_LST_BidBOEName": "EOXLive",
        "C3_LST_BidType": "quote_type_ioi",
        "C3_LST_BidTimeToLive": null,
        "C3_LST_BidLastUpdatedDateTime": "/Date(1713456681000)/",
        "C3_LST_BidTOEname": "EOXLive",
        "C3_LST_BidPreviousPrice": "0.65500",
        "C3_LST_BidGroupPrice": "0.65500",
        "C3_LST_OfferGroupPrice": "0.68500",
        "C3_LST_OfferPreviousPrice": "0.68500",
        "C3_LST_OfferSize": 5000,
        "C3_LST_OfferTOEName": "EOXLive",
        "C3_LST_OfferBOEName": "EOXLive",
        "C3_LST_OfferLastUpdatedDateTime": "/Date(1713456680000)/",
        "C3_LST_OfferTimeToLive": null,
        "C3_LST_OfferType": "quote_type_ioi",
        "C3_LST_OfferExch": "NYMEX",
        "C3_LST_IsMyOffer": false,
        "C3_LST_OfferId": 17499,
        "C3_LST_LastTradedPrice": ""
    }
];


$("#gridSelector").igTreeGrid({
    dataSource: dsDatatemp,
    autoGenerateColumns: false,
    autofitLastColumn: false,
    primaryKey: "Term",
    width: gridWidth,
    height: $("#futures-market-dialog-@(Model.NewGuid)").parent().height(),
    indentation: "16px",
    columns: gridAllColumns,
    childDataKey: "markets",
    enableHoverStyles: true,
    featureChooserIconDisplay: "always",
    features: [
      {
        name: 'MultiColumnHeaders'
      },
      {
        name: "Selection",
        mode: "cell",
        multipleSelection: false,
        activation: true
      },
      {
        name: "Sorting",
        columnSettings: [
          {
            columnKey: "SortKey",
            allowSorting: false,
            firstSortDirection: "ascending",
            currentSortDirection: "ascending"
          },
          {
            columnKey: "TermStartDate",
            allowSorting: false,
            firstSortDirection: "ascending",
            currentSortDirection: "ascending"
          }
        ]
      },
      {
        name: "ColumnFixing",
        syncRowHeights: true,
        columnSettings: [
          {
            columnKey: "Term",
            isFixed: true,
           // allowFixing: false,  <--- This removes the feature chooser icon, so manually preventing unfixing of this column
          }
        ],
       columnUnfixing: function (evt, args) {
          // Prevent unfixing for Term column
          if (args.columnIdentifier === "Term") {
            console.log("Term is fixed column. Cannot unfix it.");
            evt.preventDefault();
          } 
        },
      },
    ],
    rendering: (event, ui) => {
      let treeGrid = ui.owner;
      let alwaysVisibleColumns = [];

      // filter the columns for which Hiding feature is not allowed
      let columns = treeGrid.options.columns.filter(col => col.headerText === "Bid" || col.headerText === "Offer" || col.headerText === "Last");
      columns.map(col => {
        alwaysVisibleColumns.push({ columnKey: col.key, label: col.key, allowHiding: false });
      });

      // Add the Hiding feature with columnHiding event handler
      treeGrid.options.features.push(
        {
          name: "Hiding",
          columnChooserHeight: 320,
          columnSettings: alwaysVisibleColumns,
          columnHiding: function (evt, args) {
            let colKey = args.columnKey;

            // Logic for hiding columns with same header-text in all groups
            let actualColumns = args.owner.grid.options.columns.filter(col => col.key === colKey);
            if (actualColumns.length > 0) {
              let colName = actualColumns[0].headerText;
              let hideColumns = args.owner.grid.options.columns.filter(col => col.headerText === colName).map(col => col.key);
              console.log("hideColumns", hideColumns);
              $("#gridSelector").igTreeGridHiding("hideMultiColumns", hideColumns);
            }
          }
        }
      );
    },
    rendered: (event, ui) => {
      // Hide the column hiding arrows from column headers (we want to use show-hide from feature chooser menu only)
      $("[data-mch-level='0'] .ui-iggrid-hiding-indicator").parent().hide();
      $("[data-mch-level='1'] .ui-iggrid-hiding-indicator").parent().hide();
      $("[data-mch-level='2'] .ui-iggrid-hiding-indicator").parent().hide();
    },
  });

// During runtime when print columns of grid, I get follwing flatened columns without group
  var columns = [
    {
        "headerText": "Term",
        "key": "Term",
        "hidden": false,
        "dataType": "string",
        "width": "150px",
        "allowHiding": true,
        "columnCssClass": "border-column-left eox-algn-lft",
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "visibleIndex": 0,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "fixed": true
    },
    {
        "headerText": "Desk",
        "key": "C3_CWY_BidBOEName",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 1,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "fixed": false
    },
    {
        "headerText": "Time",
        "key": "C3_CWY_BidLastUpdatedDateTime",
        "hidden": false,
        "dataType": "date",
        "width": 65,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 2,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "fixed": false
    },
    {
        "headerText": "IOI",
        "key": "C3_CWY_BidType",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "template": "{{if ${C3_CWY_BidType} }} <div class=\"bid-quote-type\" data-pk=\"${C3_CWY_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_CWY_BidType}.png) no-repeat center; \"></div> {{/if}}",
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 3,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "fixed": false
    },
    {
        "headerText": "TIF",
        "key": "C3_CWY_BidTimeToLive",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 4,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "fixed": false
    },
    {
        "headerText": "Sell",
        "key": "C3_CWY_BidGroupActions",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 5,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "fixed": false
    },
    {
        "headerText": "Bid",
        "key": "C3_CWY_BidGroupPrice",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "template": "\n      {{if ${C3_CWY_BidId} != null && ${C3_CWY_BidGroupPrice}.length == 0 && ${C3_CWY_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_CWY_BidId} != null && ${C3_CWY_BidGroupPrice}.length == 0 }}\n      <div class=\"bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_CWY_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_BidGroupPrice}</div>\n      {{elseif ${C3_CWY_BidId} == null && (${C3_CWY_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\">-</div>\n      {{elseif ${C3_CWY_HasBidBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_BidGroupPrice}</div>\n      {{elseif (${C3_CWY_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_BidGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "fixed": false
    },
    {
        "headerText": "Offer",
        "key": "C3_CWY_OfferGroupPrice",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "template": "\n      {{if ${C3_CWY_OfferId} != null && ${C3_CWY_OfferGroupPrice}.length == 0 && ${C3_CWY_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_CWY_OfferId} != null && ${C3_CWY_OfferGroupPrice}.length == 0 }}\n      <div class=\"offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_CWY_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_OfferGroupPrice}</div>\n      {{elseif ${C3_CWY_OfferId} == null && (${C3_CWY_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\">-</div>\n      {{elseif ${C3_CWY_HasOfferBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_OfferGroupPrice}</div>\n      {{elseif (${C3_CWY_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\" data-pk=\"${C3_CWY_PrimaryKey}\">${C3_CWY_OfferGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "fixed": false
    },
    {
        "headerText": "Buy",
        "key": "C3_CWY_OfferGroupActions",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 8,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "fixed": false
    },
    {
        "headerText": "TIF",
        "key": "C3_CWY_OfferTimeToLive",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 9,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "fixed": false
    },
    {
        "headerText": "IOI",
        "key": "C3_CWY_OfferType",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "template": "{{if ${C3_CWY_OfferType} }} <div class=\"offer-quote-type\" data-pk=\"${C3_CWY_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_CWY_OfferType}.png) no-repeat center;\"></div> {{/if}}",
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 10,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "fixed": false
    },
    {
        "headerText": "Time",
        "key": "C3_CWY_OfferLastUpdatedDateTime",
        "hidden": false,
        "dataType": "date",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 11,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "fixed": false
    },
    {
        "headerText": "Desk",
        "key": "C3_CWY_OfferBOEName",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 12,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "fixed": false
    },
    {
        "headerText": "Last",
        "key": "C3_CWY_LastTradedPrice",
        "hidden": false,
        "dataType": "string",
        "width": 70,
        "columnCssClass": "border-column-right",
        "level": 0,
        "level0": true,
        "rowspan": 2,
        "fixed": false
    },
    {
        "headerText": "Desk",
        "key": "C3_EPC_BidBOEName",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 14,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Time",
        "key": "C3_EPC_BidLastUpdatedDateTime",
        "hidden": false,
        "dataType": "date",
        "width": 65,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 15,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "IOI",
        "key": "C3_EPC_BidType",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "template": "{{if ${C3_EPC_BidType} }} <div class=\"bid-quote-type\" data-pk=\"${C3_EPC_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_EPC_BidType}.png) no-repeat center; \"></div> {{/if}}",
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 16,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "TIF",
        "key": "C3_EPC_BidTimeToLive",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 17,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Sell",
        "key": "C3_EPC_BidGroupActions",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 18,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Bid",
        "key": "C3_EPC_BidGroupPrice",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "template": "\n      {{if ${C3_EPC_BidId} != null && ${C3_EPC_BidGroupPrice}.length == 0 && ${C3_EPC_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_EPC_BidId} != null && ${C3_EPC_BidGroupPrice}.length == 0 }}\n      <div class=\"bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_EPC_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_BidGroupPrice}</div>\n      {{elseif ${C3_EPC_BidId} == null && (${C3_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\">-</div>\n      {{elseif ${C3_EPC_HasBidBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_BidGroupPrice}</div>\n      {{elseif (${C3_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_BidGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
        "level": 0,
        "level0": true,
        "rowspan": 1
    },
    {
        "headerText": "Offer",
        "key": "C3_EPC_OfferGroupPrice",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "template": "\n      {{if ${C3_EPC_OfferId} != null && ${C3_EPC_OfferGroupPrice}.length == 0 && ${C3_EPC_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_EPC_OfferId} != null && ${C3_EPC_OfferGroupPrice}.length == 0 }}\n      <div class=\"offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_EPC_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_OfferGroupPrice}</div>\n      {{elseif ${C3_EPC_OfferId} == null && (${C3_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\">-</div>\n      {{elseif ${C3_EPC_HasOfferBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_OfferGroupPrice}</div>\n      {{elseif (${C3_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\" data-pk=\"${C3_EPC_PrimaryKey}\">${C3_EPC_OfferGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
        "level": 0,
        "level0": true,
        "rowspan": 1
    },
    {
        "headerText": "Buy",
        "key": "C3_EPC_OfferGroupActions",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 21,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "TIF",
        "key": "C3_EPC_OfferTimeToLive",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 22,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "IOI",
        "key": "C3_EPC_OfferType",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "template": "{{if ${C3_EPC_OfferType} }} <div class=\"offer-quote-type\" data-pk=\"${C3_EPC_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_EPC_OfferType}.png) no-repeat center;\"></div> {{/if}}",
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 23,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Time",
        "key": "C3_EPC_OfferLastUpdatedDateTime",
        "hidden": false,
        "dataType": "date",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 24,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Desk",
        "key": "C3_EPC_OfferBOEName",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 25,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Last",
        "key": "C3_EPC_LastTradedPrice",
        "hidden": false,
        "dataType": "string",
        "width": 70,
        "columnCssClass": "border-column-right",
        "level": 0,
        "level0": true,
        "rowspan": 2
    },
    {
        "headerText": "Desk",
        "key": "C3_LST_BidBOEName",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 27,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Time",
        "key": "C3_LST_BidLastUpdatedDateTime",
        "hidden": false,
        "dataType": "date",
        "width": 65,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 28,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "IOI",
        "key": "C3_LST_BidType",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "template": "{{if ${C3_LST_BidType} }} <div class=\"bid-quote-type\" data-pk=\"${C3_LST_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_LST_BidType}.png) no-repeat center; \"></div> {{/if}}",
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 29,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "TIF",
        "key": "C3_LST_BidTimeToLive",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 30,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Sell",
        "key": "C3_LST_BidGroupActions",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 31,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Bid",
        "key": "C3_LST_BidGroupPrice",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "template": "\n      {{if ${C3_LST_BidId} != null && ${C3_LST_BidGroupPrice}.length == 0 && ${C3_LST_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_LST_BidId} != null && ${C3_LST_BidGroupPrice}.length == 0 }}\n      <div class=\"bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_LST_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_BidGroupPrice}</div>\n      {{elseif ${C3_LST_BidId} == null && (${C3_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\">-</div>\n      {{elseif ${C3_LST_HasBidBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_BidGroupPrice}</div>\n      {{elseif (${C3_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_BidGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
        "level": 0,
        "level0": true,
        "rowspan": 1
    },
    {
        "headerText": "Offer",
        "key": "C3_LST_OfferGroupPrice",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "template": "\n      {{if ${C3_LST_OfferId} != null && ${C3_LST_OfferGroupPrice}.length == 0 && ${C3_LST_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_LST_OfferId} != null && ${C3_LST_OfferGroupPrice}.length == 0 }}\n      <div class=\"offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C3_LST_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_OfferGroupPrice}</div>\n      {{elseif ${C3_LST_OfferId} == null && (${C3_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\">-</div>\n      {{elseif ${C3_LST_HasOfferBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_OfferGroupPrice}</div>\n      {{elseif (${C3_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\" data-pk=\"${C3_LST_PrimaryKey}\">${C3_LST_OfferGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
        "level": 0,
        "level0": true,
        "rowspan": 1
    },
    {
        "headerText": "Buy",
        "key": "C3_LST_OfferGroupActions",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 34,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "TIF",
        "key": "C3_LST_OfferTimeToLive",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 35,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "IOI",
        "key": "C3_LST_OfferType",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "template": "{{if ${C3_LST_OfferType} }} <div class=\"offer-quote-type\" data-pk=\"${C3_LST_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C3_LST_OfferType}.png) no-repeat center;\"></div> {{/if}}",
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 36,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Time",
        "key": "C3_LST_OfferLastUpdatedDateTime",
        "hidden": false,
        "dataType": "date",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 37,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Desk",
        "key": "C3_LST_OfferBOEName",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 38,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Last",
        "key": "C3_LST_LastTradedPrice",
        "hidden": false,
        "dataType": "string",
        "width": 70,
        "columnCssClass": "border-column-right",
        "level": 0,
        "level0": true,
        "rowspan": 2
    },
    {
        "headerText": "Desk",
        "key": "C4_EPC_BidBOEName",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 40,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Time",
        "key": "C4_EPC_BidLastUpdatedDateTime",
        "hidden": false,
        "dataType": "date",
        "width": 65,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 41,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "IOI",
        "key": "C4_EPC_BidType",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "template": "{{if ${C4_EPC_BidType} }} <div class=\"bid-quote-type\" data-pk=\"${C4_EPC_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C4_EPC_BidType}.png) no-repeat center; \"></div> {{/if}}",
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 42,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "TIF",
        "key": "C4_EPC_BidTimeToLive",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 43,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Sell",
        "key": "C4_EPC_BidGroupActions",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 44,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Bid",
        "key": "C4_EPC_BidGroupPrice",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "template": "\n      {{if ${C4_EPC_BidId} != null && ${C4_EPC_BidGroupPrice}.length == 0 && ${C4_EPC_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C4_EPC_BidId} != null && ${C4_EPC_BidGroupPrice}.length == 0 }}\n      <div class=\"bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C4_EPC_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_BidGroupPrice}</div>\n      {{elseif ${C4_EPC_BidId} == null && (${C4_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\">-</div>\n      {{elseif ${C4_EPC_HasBidBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_BidGroupPrice}</div>\n      {{elseif (${C4_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_BidGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
        "level": 0,
        "level0": true,
        "rowspan": 1
    },
    {
        "headerText": "Offer",
        "key": "C4_EPC_OfferGroupPrice",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "template": "\n      {{if ${C4_EPC_OfferId} != null && ${C4_EPC_OfferGroupPrice}.length == 0 && ${C4_EPC_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C4_EPC_OfferId} != null && ${C4_EPC_OfferGroupPrice}.length == 0 }}\n      <div class=\"offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${C4_EPC_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_OfferGroupPrice}</div>\n      {{elseif ${C4_EPC_OfferId} == null && (${C4_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\">-</div>\n      {{elseif ${C4_EPC_HasOfferBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_OfferGroupPrice}</div>\n      {{elseif (${C4_EPC_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\" data-pk=\"${C4_EPC_PrimaryKey}\">${C4_EPC_OfferGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
        "level": 0,
        "level0": true,
        "rowspan": 1
    },
    {
        "headerText": "Buy",
        "key": "C4_EPC_OfferGroupActions",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 47,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "TIF",
        "key": "C4_EPC_OfferTimeToLive",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 48,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "IOI",
        "key": "C4_EPC_OfferType",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "template": "{{if ${C4_EPC_OfferType} }} <div class=\"offer-quote-type\" data-pk=\"${C4_EPC_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${C4_EPC_OfferType}.png) no-repeat center;\"></div> {{/if}}",
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 49,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Time",
        "key": "C4_EPC_OfferLastUpdatedDateTime",
        "hidden": false,
        "dataType": "date",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 50,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Desk",
        "key": "C4_EPC_OfferBOEName",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 51,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Last",
        "key": "C4_EPC_LastTradedPrice",
        "hidden": false,
        "dataType": "string",
        "width": 70,
        "columnCssClass": "border-column-right",
        "level": 0,
        "level0": true,
        "rowspan": 2
    },
    {
        "headerText": "Desk",
        "key": "EPC_LST_BidBOEName",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 53,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Time",
        "key": "EPC_LST_BidLastUpdatedDateTime",
        "hidden": false,
        "dataType": "date",
        "width": 65,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 54,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "IOI",
        "key": "EPC_LST_BidType",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "template": "{{if ${EPC_LST_BidType} }} <div class=\"bid-quote-type\" data-pk=\"${EPC_LST_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${EPC_LST_BidType}.png) no-repeat center; \"></div> {{/if}}",
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 55,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "TIF",
        "key": "EPC_LST_BidTimeToLive",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 56,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Sell",
        "key": "EPC_LST_BidGroupActions",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 57,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Bid",
        "key": "EPC_LST_BidGroupPrice",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "template": "\n      {{if ${EPC_LST_BidId} != null && ${EPC_LST_BidGroupPrice}.length == 0 && ${EPC_LST_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${EPC_LST_BidId} != null && ${EPC_LST_BidGroupPrice}.length == 0 }}\n      <div class=\"bid-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${EPC_LST_IsMyBid} }}\n      <div class=\"my-quote-price bid-group-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_BidGroupPrice}</div>\n      {{elseif ${EPC_LST_BidId} == null && (${EPC_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\">-</div>\n      {{elseif ${EPC_LST_HasBidBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_BidGroupPrice}</div>\n      {{elseif (${EPC_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"bid-group-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_BidGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
        "level": 0,
        "level0": true,
        "rowspan": 1
    },
    {
        "headerText": "Offer",
        "key": "EPC_LST_OfferGroupPrice",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "template": "\n      {{if ${EPC_LST_OfferId} != null && ${EPC_LST_OfferGroupPrice}.length == 0 && ${EPC_LST_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${EPC_LST_OfferId} != null && ${EPC_LST_OfferGroupPrice}.length == 0 }}\n      <div class=\"offer-group-price\"><img src=\"Content/images/eye.png\" /></div>\n      {{elseif ${EPC_LST_IsMyOffer} }}\n      <div class=\"my-quote-price offer-group-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_OfferGroupPrice}</div>\n      {{elseif ${EPC_LST_OfferId} == null && (${EPC_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\">-</div>\n      {{elseif ${EPC_LST_HasOfferBoeRelation} }}\n      <div class=\"otc-option-quote-page-boe-no-relation-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_OfferGroupPrice}</div>\n      {{elseif (${EPC_LST_PrimaryKey} || '').length > 0 }}\n      <div class=\"offer-group-price\" data-pk=\"${EPC_LST_PrimaryKey}\">${EPC_LST_OfferGroupPrice}</div>\n      {{else}}\n      <div>&nbsp;</div>\n      {{/if}}\n    ",
        "level": 0,
        "level0": true,
        "rowspan": 1
    },
    {
        "headerText": "Buy",
        "key": "EPC_LST_OfferGroupActions",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 60,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "TIF",
        "key": "EPC_LST_OfferTimeToLive",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 61,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "IOI",
        "key": "EPC_LST_OfferType",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "template": "{{if ${EPC_LST_OfferType} }} <div class=\"offer-quote-type\" data-pk=\"${EPC_LST_PrimaryKey}\" style=\"display: flex;justify-content: center;background: url(Content/images/otc-option-quote-page/${EPC_LST_OfferType}.png) no-repeat center;\"></div> {{/if}}",
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 62,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Time",
        "key": "EPC_LST_OfferLastUpdatedDateTime",
        "hidden": false,
        "dataType": "date",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 63,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Desk",
        "key": "EPC_LST_OfferBOEName",
        "hidden": false,
        "dataType": "string",
        "width": 50,
        "level": 0,
        "level0": true,
        "rowspan": 1,
        "allowHiding": true,
        "visibleIndex": 64,
        "settings": {
            "allowHiding": true,
            "hidden": false
        }
    },
    {
        "headerText": "Last",
        "key": "EPC_LST_LastTradedPrice",
        "hidden": false,
        "dataType": "string",
        "width": 70,
        "columnCssClass": "border-column-right",
        "level": 0,
        "level0": true,
        "rowspan": 2
    },
    {
        "headerText": "SortKey",
        "key": "SortKey",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 66,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Term Start Date",
        "key": "TermStartDate",
        "hidden": true,
        "dataType": "date",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 67,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Seq",
        "key": "Seq",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 68,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "TermParentId",
        "key": "TermParentId",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 69,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "ParentId",
        "key": "C3_CWY_ParentId",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 70,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PrimaryKey",
        "key": "C3_CWY_PrimaryKey",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 71,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "StrategyInstrumentId",
        "key": "C3_CWY_StrategyInstrumentId",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 72,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "HasBidBoeRelation",
        "key": "C3_CWY_HasBidBoeRelation",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 73,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "BidId",
        "key": "C3_CWY_BidId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 74,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OwnBid",
        "key": "C3_CWY_IsMyBid",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 75,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Exch",
        "key": "C3_CWY_BidExch",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 76,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Buyer",
        "key": "C3_CWY_BidTOEname",
        "hidden": true,
        "dataType": "string",
        "width": 85,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 77,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PreviousBid",
        "key": "C3_CWY_BidPreviousPrice",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 78,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "CanTradeBid",
        "key": "C3_CWY_CanTradeBid",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 79,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "HasOfferBoeRelation",
        "key": "C3_CWY_HasOfferBoeRelation",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 80,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PreviousOffer",
        "key": "C3_CWY_OfferPreviousPrice",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 81,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Seller",
        "key": "C3_CWY_OfferTOEName",
        "hidden": true,
        "dataType": "string",
        "width": 85,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 82,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Exch",
        "key": "C3_CWY_OfferExch",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 83,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OwnOffer",
        "key": "C3_CWY_IsMyOffer",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 84,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OfferId",
        "key": "C3_CWY_OfferId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 85,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "CanTradeOffer",
        "key": "C3_CWY_CanTradeOffer",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 86,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "InstrumentId",
        "key": "C3_CWY_InstrumentId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 87,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "InstrumentDefinitionId",
        "key": "C3_CWY_InstrumentDefinitionId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 88,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "ParentId",
        "key": "C3_EPC_ParentId",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 89,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PrimaryKey",
        "key": "C3_EPC_PrimaryKey",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 90,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "StrategyInstrumentId",
        "key": "C3_EPC_StrategyInstrumentId",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 91,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "HasBidBoeRelation",
        "key": "C3_EPC_HasBidBoeRelation",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 92,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "BidId",
        "key": "C3_EPC_BidId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 93,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OwnBid",
        "key": "C3_EPC_IsMyBid",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 94,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Exch",
        "key": "C3_EPC_BidExch",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 95,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Buyer",
        "key": "C3_EPC_BidTOEname",
        "hidden": true,
        "dataType": "string",
        "width": 85,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 96,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PreviousBid",
        "key": "C3_EPC_BidPreviousPrice",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 97,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "CanTradeBid",
        "key": "C3_EPC_CanTradeBid",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 98,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "HasOfferBoeRelation",
        "key": "C3_EPC_HasOfferBoeRelation",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 99,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PreviousOffer",
        "key": "C3_EPC_OfferPreviousPrice",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 100,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Seller",
        "key": "C3_EPC_OfferTOEName",
        "hidden": true,
        "dataType": "string",
        "width": 85,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 101,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Exch",
        "key": "C3_EPC_OfferExch",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 102,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OwnOffer",
        "key": "C3_EPC_IsMyOffer",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 103,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OfferId",
        "key": "C3_EPC_OfferId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 104,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "CanTradeOffer",
        "key": "C3_EPC_CanTradeOffer",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 105,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "InstrumentId",
        "key": "C3_EPC_InstrumentId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 106,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "InstrumentDefinitionId",
        "key": "C3_EPC_InstrumentDefinitionId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 107,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "ParentId",
        "key": "C3_LST_ParentId",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 108,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PrimaryKey",
        "key": "C3_LST_PrimaryKey",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 109,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "StrategyInstrumentId",
        "key": "C3_LST_StrategyInstrumentId",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 110,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "HasBidBoeRelation",
        "key": "C3_LST_HasBidBoeRelation",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 111,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "BidId",
        "key": "C3_LST_BidId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 112,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OwnBid",
        "key": "C3_LST_IsMyBid",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 113,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Exch",
        "key": "C3_LST_BidExch",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 114,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Buyer",
        "key": "C3_LST_BidTOEname",
        "hidden": true,
        "dataType": "string",
        "width": 85,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 115,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PreviousBid",
        "key": "C3_LST_BidPreviousPrice",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 116,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "CanTradeBid",
        "key": "C3_LST_CanTradeBid",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 117,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "HasOfferBoeRelation",
        "key": "C3_LST_HasOfferBoeRelation",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 118,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PreviousOffer",
        "key": "C3_LST_OfferPreviousPrice",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 119,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Seller",
        "key": "C3_LST_OfferTOEName",
        "hidden": true,
        "dataType": "string",
        "width": 85,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 120,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Exch",
        "key": "C3_LST_OfferExch",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 121,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OwnOffer",
        "key": "C3_LST_IsMyOffer",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 122,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OfferId",
        "key": "C3_LST_OfferId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 123,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "CanTradeOffer",
        "key": "C3_LST_CanTradeOffer",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 124,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "InstrumentId",
        "key": "C3_LST_InstrumentId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 125,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "InstrumentDefinitionId",
        "key": "C3_LST_InstrumentDefinitionId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 126,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "ParentId",
        "key": "C4_EPC_ParentId",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 127,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PrimaryKey",
        "key": "C4_EPC_PrimaryKey",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 128,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "StrategyInstrumentId",
        "key": "C4_EPC_StrategyInstrumentId",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 129,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "HasBidBoeRelation",
        "key": "C4_EPC_HasBidBoeRelation",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 130,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "BidId",
        "key": "C4_EPC_BidId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 131,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OwnBid",
        "key": "C4_EPC_IsMyBid",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 132,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Exch",
        "key": "C4_EPC_BidExch",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 133,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Buyer",
        "key": "C4_EPC_BidTOEname",
        "hidden": true,
        "dataType": "string",
        "width": 85,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 134,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PreviousBid",
        "key": "C4_EPC_BidPreviousPrice",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 135,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "CanTradeBid",
        "key": "C4_EPC_CanTradeBid",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 136,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "HasOfferBoeRelation",
        "key": "C4_EPC_HasOfferBoeRelation",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 137,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PreviousOffer",
        "key": "C4_EPC_OfferPreviousPrice",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 138,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Seller",
        "key": "C4_EPC_OfferTOEName",
        "hidden": true,
        "dataType": "string",
        "width": 85,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 139,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Exch",
        "key": "C4_EPC_OfferExch",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 140,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OwnOffer",
        "key": "C4_EPC_IsMyOffer",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 141,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OfferId",
        "key": "C4_EPC_OfferId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 142,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "CanTradeOffer",
        "key": "C4_EPC_CanTradeOffer",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 143,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "InstrumentId",
        "key": "C4_EPC_InstrumentId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 144,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "InstrumentDefinitionId",
        "key": "C4_EPC_InstrumentDefinitionId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 145,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "ParentId",
        "key": "EPC_LST_ParentId",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 146,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PrimaryKey",
        "key": "EPC_LST_PrimaryKey",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 147,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "StrategyInstrumentId",
        "key": "EPC_LST_StrategyInstrumentId",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 148,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "HasBidBoeRelation",
        "key": "EPC_LST_HasBidBoeRelation",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 149,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "BidId",
        "key": "EPC_LST_BidId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 150,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OwnBid",
        "key": "EPC_LST_IsMyBid",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 151,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Exch",
        "key": "EPC_LST_BidExch",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 152,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Buyer",
        "key": "EPC_LST_BidTOEname",
        "hidden": true,
        "dataType": "string",
        "width": 85,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 153,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PreviousBid",
        "key": "EPC_LST_BidPreviousPrice",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 154,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "CanTradeBid",
        "key": "EPC_LST_CanTradeBid",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 155,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "HasOfferBoeRelation",
        "key": "EPC_LST_HasOfferBoeRelation",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 156,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "PreviousOffer",
        "key": "EPC_LST_OfferPreviousPrice",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 157,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Seller",
        "key": "EPC_LST_OfferTOEName",
        "hidden": true,
        "dataType": "string",
        "width": 85,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 158,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "Exch",
        "key": "EPC_LST_OfferExch",
        "hidden": true,
        "dataType": "string",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 159,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OwnOffer",
        "key": "EPC_LST_IsMyOffer",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 160,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "OfferId",
        "key": "EPC_LST_OfferId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 161,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "CanTradeOffer",
        "key": "EPC_LST_CanTradeOffer",
        "hidden": true,
        "dataType": "bool",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 162,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "InstrumentId",
        "key": "EPC_LST_InstrumentId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 163,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    },
    {
        "headerText": "InstrumentDefinitionId",
        "key": "EPC_LST_InstrumentDefinitionId",
        "hidden": true,
        "dataType": "number",
        "width": 0,
        "level": 0,
        "level0": true,
        "rowspan": 3,
        "allowHiding": true,
        "visibleIndex": 164,
        "settings": {
            "allowHiding": true,
            "hidden": false
        },
        "_initiallyHidden": true
    }
];